#include "bogl.h"

/* Font structure built-in to bogl */
extern struct bogl_font font_helvB10;
struct bogl_font *usplash_bogl_font;

int usplash_setfont (struct bogl_font* font) {
	// FIXME - needs to use theme font (need compatibility with svgalib)
	usplash_bogl_font = &font_helvB10;
	return 0;
}

int usplash_init () {
	return !(bogl_init ());
}

void usplash_done () {
	bogl_done ();
}

void usplash_set_resolution (int x, int y) {
	// FIXME
	return;
}

void usplash_set_palette (int ncols, unsigned char palette[][3]) {
	bogl_set_palette (0, ncols, palette);
}

void usplash_clear (int x1, int y1, int x2, int y2, int colour) {
	bogl_clear (x1, y1, x2, y2, colour);
}

void usplash_move (int sx, int sy, int dx, int dy, int w, int h) {
	bogl_move (sx, sy, dx, dy, w, h);
}

void usplash_text (int x, int y, const char *s, int len, int fg, int bg) {
	bogl_text (x, y, s, len, fg, bg, 0, usplash_bogl_font);
}

void usplash_getdimensions (int *x, int *y) {
	*x = bogl_xres;
	*y = bogl_yres;
}

void usplash_put (int x, int y, void* pixmap) {
        const int colour_map[] = { 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7,
                                   0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf };

	bogl_put (x, y, pixmap, colour_map);
}
